Package: org.gradle.platform.base

## [Java] Interface LibraryBinarySpec

- org.gradle.api.Buildable

- All Superinterfaces:
    BinarySpec, Buildable

  A binary produced from a `LibrarySpec`.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `LibrarySpec` | `getLibrary()` The library that this binary belongs to.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface BinarySpec` | `getDisplayName, getInputs, getSource, getSources, getTasks, isBuildable, sources, tasks`
    `interface BuildableModelElement` | `builtBy, getBuildTask, hasBuildDependencies, setBuildTask, getBuildDependencies`
    `interface Named` | `getName`

- - ### Method Detail

    - #### public LibrarySpec getLibrary()

      The library that this binary belongs to.